Subject: Re: [Mipshop] New revision of draft-ietf-mipshop-fmipv6-rfc4068bis

From: <[email-masked]>
Date: Mon, 4 Feb 2008 20:07:31 +0000

Hello, 
 
I have been following the comments but keep in mind that when NAR performs DAD to verify whether it can defend an NCoA or not, that would imply that HAck will be sent after a DAD delay, which would further delay FBAck delivery to MN, which will further increase the probability of a MN to undergo Reactive handover (depending on the speed).
 
In my suggestion, instead of performing DAD as per the DAD rules, let the NAR check for a duplicate address in its neighbor cache, and if not found, it can defend the NCoA. This search of Neighbor Cache will spend less time and will serve the purpose and will also reduce the signaling load due to NS/NA excahnge.
 
I have already presented an efficient mechanism in http://tools.ietf.org/id/draft-yousaf-ietf-mipshop-pbfmipv6-00.txt
Regards
 
Faqir Zarrar Yousaf

Date: Thu, 31 Jan 2008 10:50:54 -0800From: [email-masked]: [email-masked]: Re: [Mipshop] Re: New revision of draft-ietf-mipshop-fmipv6-rfc4068bisCC: [email-masked]; [email-masked]; [email-masked]
On Jan 30, 2008 3:44 PM, Vijay Devarapalli <[email-masked]> wrote:

I think this should be explained in more detail. How about thefollowing?The NAR checks if the address is unique before startingdefending it. The NAR sends a DAD (neighbor solicitation) messagefor the NCoA to check if the address is unique on the NAR link.If there are other mechanisms by which the NAR can figure out ifthe address is unique or if it is known that the probability ofcollisions is very low or non-existent, then the parameterDupAddrDetectTransmits is set to 0 on the NAR.

Sounds good.

-Rajeev

Vijay
_________________________________________________________________
Need to know the score, the latest news, or you need your Hotmail®-get your "fix".
http://www.msnmobilefix.com/Default.aspx

_______________________________________________
Mipshop mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/mipshop